/*
    ** MAP  COLORS
*/

$icolors: (
    tx      :   color,
    bg      :   background-color,
    outline :   outline-color,
    border  :   border-color
);

@mixin make-color($icolor){
    @if map-has-key($icolors, $icolor) {
        .#{$icolor}-{
            &transparent{
                 #{map-get($icolors, $icolor)}: transparent;
            }
            &white{
                 #{map-get($icolors, $icolor)}: #fff;
            }
            &dark{
                 #{map-get($icolors, $icolor)}: #000;
            }
            &grey-{
                &1{
                     #{map-get($icolors, $icolor)}: #f5f5f5;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #eeeeee;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #e0e0e0;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #bdbdbd;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #9e9e9e;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #757575;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #616161;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #424242;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #212121;
                }
            }
            &bluegrey-{
                &1{
                     #{map-get($icolors, $icolor)}: #cfd8dc;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #b0bec5;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #90a4ae;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #78909c;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #607d8b;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #546e7a;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #455a64;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #37474f;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #263238;
                }
            }
            &brown-{
                &1{
                     #{map-get($icolors, $icolor)}: #d7ccc8;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #bcaaa4;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #a1887f;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #8d6e63;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #795548;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #6d4c41;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #5d4037;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #4e342e;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #3e2723;
                }
            }
            &red-{
                &1{
                     #{map-get($icolors, $icolor)}: #ffcdd2;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #ef9a9a;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #e57373;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #ef5350;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #f44336;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #e53935;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #d32f2f;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #c62828;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #b71c1c;
                }
            }
            &deeporange-{
                &1{
                     #{map-get($icolors, $icolor)}: #ffccbc;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #ffab91;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #ff8a65;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #ff7043;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #ff5722;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #f4511e;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #e64a19;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #d84315;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #bf360c;
                }
            }
            &orange-{
                &1{
                     #{map-get($icolors, $icolor)}: #ffe0b2;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #ffcc80;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #ffb74d;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #ffa726;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #ff9800;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #fb8c00;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #f57c00;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #ef6c00;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #e65100;
                }
            }
            &amber-{
                &1{
                     #{map-get($icolors, $icolor)}: #ffecb3;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #ffe082;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #ffd54f;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #ffca28;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #ffc107;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #ffb300;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #ffa000;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #ff8f00;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #ff6f00;
                }
            }
            &yellow-{
                &1{
                     #{map-get($icolors, $icolor)}: #fff9c4;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #fff59d;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #fff176;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #ffee58;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #ffeb3b;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #fdd835;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #fbc02d;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #f9a825;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #f57f17;
                }
            }
            &lime-{
                &1{
                     #{map-get($icolors, $icolor)}: #f0f4c3;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #e6ee9c;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #dce775;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #d4e157;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #cddc39;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #c0ca33;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #afb42b;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #9e9d24;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #827717;
                }
            }
            &lightgreen-{
                &1{
                     #{map-get($icolors, $icolor)}: #dcedc8;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #c5e1a5;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #aed581;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #9ccc65;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #8bc34a;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #7cb342;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #689f38;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #558b2f;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #33691e;
                }
            }
            &green-{
                &1{
                     #{map-get($icolors, $icolor)}: #c8e6c9;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #a5d6a7;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #81c784;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #66bb6a;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #4caf50;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #43a047;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #388e3c;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #2e7d32;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #1b5e20;
                }
            }
            &teal-{
                &1{
                     #{map-get($icolors, $icolor)}: #b2dfdb;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #80cbc4;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #4db6ac;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #26a69a;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #009688;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #00897b;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #00796b;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #00695c;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #004d40;
                }
            }
            &cyan-{
                &1{
                     #{map-get($icolors, $icolor)}: #b2ebf2;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #80deea;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #4dd0e1;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #26c6da;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #00bcd4;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #00acc1;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #0097a7;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #00838f;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #006064;
                }
            }
            &lightblue-{
                &1{
                     #{map-get($icolors, $icolor)}: #b3e5fc;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #81d4fa;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #4fc3f7;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #29b6f6;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #03a9f4;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #039be5;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #0288d1;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #0277bd;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #01579b;
                }
            }
            &blue-{
                &1{
                     #{map-get($icolors, $icolor)}: #bbdefb;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #90caf9;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #64b5f6;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #42a5f5;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #2196f3;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #1e88e5;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #1976d2;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #1565c0;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #0d47a1;
                }
            }
            &indigo-{
                &1{
                     #{map-get($icolors, $icolor)}: #c5cae9;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #9fa8da;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #7986cb;
                }
                &4{
                     #{map-get($icolors, $icolor)}: #5c6bc0;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #3f51b5;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #3949ab;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #303f9f;
                }
                &8{
                     #{map-get($icolors, $icolor)}: #283593;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #1a237e;
                }
            }
            &deeppurple-{
                &1{
                     #{map-get($icolors, $icolor)}: #d1c4e9;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #b39ddb;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #9575cd;
                }
                &4{
                    #{map-get($icolors, $icolor)}: #7e57c2;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #673ab7;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #5e35b1;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #512da8;
                }
                &8{
                    #{map-get($icolors, $icolor)}: #4527a0;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #311b92;
                }
            }
            &purple-{
                &1{
                     #{map-get($icolors, $icolor)}: #e1bee7;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #ce93d8;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #ba68c8;
                }
                &4{
                    #{map-get($icolors, $icolor)}: #ab47bc;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #9c27b0;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #8e24aa;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #7b1fa2;
                }
                &8{
                    #{map-get($icolors, $icolor)}: #6a1b9a;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #4a148c;
                }
            }
            &pink-{
                &1{
                     #{map-get($icolors, $icolor)}: #f8bbd0;
                }
                &2{
                     #{map-get($icolors, $icolor)}: #f48fb1;
                }
                &3{
                     #{map-get($icolors, $icolor)}: #f06292;
                }
                &4{
                    #{map-get($icolors, $icolor)}: #ec407a;
                }
                &5{
                     #{map-get($icolors, $icolor)}: #e91e63;
                }
                &6{
                     #{map-get($icolors, $icolor)}: #d81b60;
                }
                &7{
                     #{map-get($icolors, $icolor)}: #c2185b;
                }
                &8{
                    #{map-get($icolors, $icolor)}: #ad1457;
                }
                &9{
                     #{map-get($icolors, $icolor)}: #880e4f;
                }
            }
        }
    }
}

/*
    ** MAKE COLORS **

    ** Rendering all color classes

*/

@each $i, $size in $icolors{
    @include make-color($i);
}